Subject: gcc created exe: permission problems
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Wed, 16 Oct 2002 15:18:09 +0200

Hallo,

I have *not* updated Cygwin recently:
$ cygcheck -c cygwin
Cygwin Package Information
Package             Version             
cygwin              1.3.12-4            

and everything works fine some days back when compiling C files,
now I'm having these problems:

$ mount
[...]
H:\cygwin\usr on /usr type system (binmode)
[...]

$ pwd
/usr/src

$ ls *try*
ls: *try*: No such file or directory

$ echo '#include <stdio.h>' >try.c

$ echo 'int main() { printf("Ok\n"); exit(0); }' >>try.c

$ gcc -o try -g -O2 -DPERL_USE_SAFE_PUTENV -DDEBUGGING -shared -g try.c -lgdbm -ldb -lcrypt -lutil

$ ls *try*
try.c  try.exe*

$ ./try
bash: ./try: Permission denied

$ ./try.exe
bash: ./try.exe: Permission denied

$ ls -l *try*
-rw-r--r--    1 gerrit   Domänen-       59 Oct 16 14:22 try.c
-rwxr-xr-x    1 gerrit   Domänen-    29804 Oct 16 14:22 try.exe*

I tried several chmod and chown commands, nothing seems to help.

Any ideas?
Would cygcheck -svr help someone to get an idea?

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/